package ru.yandex.webmaster3.core.http;

import java.util.LinkedList;
import java.util.List;

import ru.yandex.webmaster3.core.WebmasterException;

/**
 * @author aherman
 */
public abstract class Action<RequestType extends ActionRequest, ResponseType extends ActionResponse> {
    public abstract ResponseType process(RequestType request) throws WebmasterException;

    public List<Class<? extends ResponseFilter>> getResponseFilters() {
        return new LinkedList<>();
    }
}
